org.apache.cassandra.tools.nodetool.stats

## Class CompactionHistoryPrinter

- java.lang.Object
- - org.apache.cassandra.tools.nodetool.stats.CompactionHistoryPrinter

    public class CompactionHistoryPrinter
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `CompactionHistoryPrinter.DefaultPrinter`

### Constructor Summary

Constructors
Constructor and Description
`CompactionHistoryPrinter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static StatsPrinter` `from(java.lang.String format)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompactionHistoryPrinter

    public CompactionHistoryPrinter()

### Method Detail

#### from

    public static StatsPrinter from(java.lang.String format)